<!doctype html>
<html class="no-js" lang="en">
<head>
	<meta charset="utf-8" />
	<meta name="viewport" content="width=device-width, initial-scale=1.0" />
	<title>Metode Simplex Biasa</title>
	<link rel="stylesheet" href="css/css/foundation.css" />
	<script src="js/vendor/modernizr.js"></script>
</head>
<body>
<?php
	$tampungX=$_GET['x'];
	$tampungHasil=$_GET['hasil'];
	$jumkendala=$_GET['jumkendala'];
	$pilihan = $_GET['pilihan'];
	
	$z[0]=1;
	$z[1]=$_GET['x1']*-1;
	$z[2]=$_GET['x2']*-1;
	$z[3]=$_GET['x3']*-1;
	for($i=4;$i<=$jumkendala+3;$i++){
		$z[$i]=0;
	}
	$z[$jumkendala+4]=0; //NILAI
	$z[$jumkendala+5]="-";
	if($pilihan=='max'){
		$kofmin=1;
			for($i=2;$i<=3;$i++){
				if($z[$kofmin]>$z[$i]){
					$kofmin=$i;
				}
			}
			
			$countx=0;
			$countH=0;
			$countS=0;
			$countSa=0;
			for($i=0;$i<$jumkendala;$i++){
				$countSa=0;
				for($j=0;$j<6+$jumkendala;$j++){
					if($j==0){
						$kendala[$i][$j]=0;
					}else if($j==1 || $j==2 || $j==3){
						$kendala[$i][$j]=$tampungX[$countx];
						$countx++;
					}else if($j>3 && $j<4+$jumkendala){
						if($countS==$countSa){
							$kendala[$i][$j]=1;
							$countSa=0;
							$countS++;
						}else{
							$kendala[$i][$j]=0;
							$countSa++;
						}
					}else if($j==5+$jumkendala-1){
						$kendala[$i][$j]=$tampungHasil[$countH];
						$countH++;
					}else{
						$kendala[$i][$j]=0;
					}
				}
			}
		?>
			<br/><h2 align="center">Hasil Perhitungan Simplex</h2>
			<h5 align="center"><a href="index.php"> Pilih Metode Kembali </a></h5>
		<div class="wrapper2">
		</center>
		<table border=1 align="center">
			<thead>
			<tr>
				<td>Iterasi</td>
				<td>VB</td>
				<td>Z</td>
				<td>x1</td>
				<td>x2</td>
				<td>x3</td>
				<?php
					for($i=4;$i<$jumkendala+4;$i++){
						echo "<td>x".$i."</td>";
					}
				?>
				<td>Nilai</td>
			</tr>
			</thead>
			<tbody>
			<tr>
				<td rowspan=<?php echo $jumkendala+1?>>0</td>
				<td>Z</td>
				<?php
					for($i=0;$i<=5+$jumkendala-1;$i++){
						echo "<td>$z[$i]</td>";
					}
				?>
			</tr>
			<?php
				$basis=4;
				for($j=0;$j<$jumkendala;$j++){
				echo "<tr>";
			?>
				<td>x<?php echo $basis;?></td>
				<?php
					for($i=0;$i<=5+$jumkendala-1;$i++){
						echo "<td>".$kendala[$j][$i]."</td>";
					}
				$basis++;
				echo "</tr>";
				}
				$selesai=0;
				$iterasi=1;
				
				while($selesai==0){
					$pindah=0;
					//mencari index mana yang jadi patokan
					for($i=0;$i<$jumkendala;$i++){
						if($kendala[$pindah][5+$jumkendala]>$kendala[$i][5+$jumkendala]){
							$pindah=$i;
						}
					}
					
					$tampung=$z[$kofmin]/$kendala[$pindah][$kofmin]*-1; //OBE
					$a=$jumkendala+1;
					echo "<tr>";
						echo "<td rowspan=$a>$iterasi</td>";
						echo "<td>Z</td>";
						echo "<td>$z[0]</td>";
						for($i=1;$i<=5+$jumkendala-1;$i++){
							$z[$i]=($kendala[$pindah][$i]*$tampung)+$z[$i];
							echo "<td>$z[$i]</td>";
						}
					echo "</tr>";
					$tampung=1/$kendala[$pindah][$kofmin]; //OBE
					echo "<tr>";
						echo "<td>x$kofmin</td>";
						echo "<td>".$kendala[$pindah][0]."</td>";
						for($i=1;$i<=5+$jumkendala-1;$i++){
							$kendala[$pindah][$i]=$kendala[$pindah][$i]*$tampung;
							echo "<td>".$kendala[$pindah][$i]."</td>";
						}
					echo "</tr>";
					
					for($i=0;$i<=$jumkendala-1;$i++){
						if($i!=$pindah){
							$tampung=$kendala[$i][$kofmin]/$kendala[$pindah][$kofmin]*-1; //OBE
							echo "<tr>";
								echo "<td>x-</td>";
								echo "<td>".$kendala[$i][0]."</td>";
								for($j=1;$j<=5+$jumkendala-1;$j++){
									$kendala[$i][$j]=($kendala[$pindah][$j]*$tampung)+$kendala[$i][$j];
									echo "<td>".$kendala[$i][$j]."</td>";
								}
							echo "</tr>";
						}
					}
					
					$kofmin=1;
					for($i=2;$i<=3;$i++){
						if($z[$kofmin]>$z[$i]){
							$kofmin=$i;
						}
					}
					
					if($z[$kofmin]<0){
						for($i=0;$i<=1;$i++){
							$kendala[$i][5+$jumkendala]=$kendala[$i][5+$jumkendala-1]/$kendala[$i][$kofmin];
						}
					}
					if($z[1]>=0 && $z[2]>=0 && $z[3]>=0){
						$selesai=1;
					}else{
						$selesai=0;
						$iterasi++;
					}
				}
			?>
			</tbody>
		</table>
		</center><h3 align="center">
		Z = <?php echo $z[$jumkendala+4];?></h3><br/>
	<?php
		}else{
			$kofmin=1;
			for($i=2;$i<=3;$i++){
				if($z[$kofmin]<$z[$i]){
					$kofmin=$i;
				}
			}
			
			$countx=0;
			$countH=0;
			$countS=0;
			$countSa=0;
			for($i=0;$i<$jumkendala;$i++){
				$countSa=0;
				for($j=0;$j<6+$jumkendala;$j++){
					if($j==0){
						$kendala[$i][$j]=0;
					}else if($j==1 || $j==2 || $j==3){
						$kendala[$i][$j]=$tampungX[$countx];
						$countx++;
					}else if($j>3 && $j<4+$jumkendala){
						if($countS==$countSa){
							$kendala[$i][$j]=1;
							$countSa=0;
							$countS++;
						}else{
							$kendala[$i][$j]=0;
							$countSa++;
						}
					}else if($j==5+$jumkendala-1){
						$kendala[$i][$j]=$tampungHasil[$countH];
						$countH++;
					}else{
						$kendala[$i][$j]=0;
					}
				}
			}
		?>

		<div class="wrapper2">
		</center>
		<table border=1 align="center">
			<thead>
			<tr>
				<td>Iterasi</td>
				<td>VB</td>
				<td>Z</td>
				<td>x1</td>
				<td>x2</td>
				<td>x3</td>
				<?php
					for($i=4;$i<$jumkendala+4;$i++){
						echo "<td>x".$i."</td>";
					}
				?>
				<td>Nilai</td>
			</tr>
			</thead>
			<tbody>
			<tr>
				<td rowspan=<?php echo $jumkendala+1?>>0</td>
				<td>Z</td>
				<?php
					for($i=0;$i<=5+$jumkendala-1;$i++){
						echo "<td>$z[$i]</td>";
					}
				?>
			</tr>
			<?php
				$basis=4;
				for($j=0;$j<$jumkendala;$j++){
				echo "<tr>";
			?>
				<td>x<?php echo $basis;?></td>
				<?php
					for($i=0;$i<=5+$jumkendala-1;$i++){
						echo "<td>".$kendala[$j][$i]."</td>";
					}
				$basis++;
				echo "</tr>";
				}
				$selesai=0;
				$iterasi=1;
				
				while($selesai==0){
					$pindah=0;
					//mencari index mana yang jadi patokan
					for($i=0;$i<$jumkendala;$i++){
						if($kendala[$pindah][5+$jumkendala]>$kendala[$i][5+$jumkendala]){
							$pindah=$i;
						}
					}
					
					$tampung=$z[$kofmin]/$kendala[$pindah][$kofmin]*-1; //OBE
					$a=$jumkendala+1;
					echo "<tr>";
						echo "<td rowspan=$a>$iterasi</td>";
						echo "<td>Z</td>";
						echo "<td>$z[0]</td>";
						for($i=1;$i<=5+$jumkendala-1;$i++){
							$z[$i]=($kendala[$pindah][$i]*$tampung)+$z[$i];
							echo "<td>$z[$i]</td>";
						}
					echo "</tr>";
					$tampung=1/$kendala[$pindah][$kofmin]; //OBE
					echo "<tr>";
						echo "<td>x$kofmin</td>";
						echo "<td>".$kendala[$pindah][0]."</td>";
						for($i=1;$i<=5+$jumkendala-1;$i++){
							$kendala[$pindah][$i]=$kendala[$pindah][$i]*$tampung;
							echo "<td>".$kendala[$pindah][$i]."</td>";
						}
					echo "</tr>";
					
					for($i=0;$i<=$jumkendala-1;$i++){
						if($i!=$pindah){
							$tampung=$kendala[$i][$kofmin]/$kendala[$pindah][$kofmin]*-1; //OBE
							echo "<tr>";
								echo "<td>x-</td>";
								echo "<td>".$kendala[$i][0]."</td>";
								for($j=1;$j<=5+$jumkendala-1;$j++){
									$kendala[$i][$j]=($kendala[$pindah][$j]*$tampung)+$kendala[$i][$j];
									echo "<td>".$kendala[$i][$j]."</td>";
								}
							echo "</tr>";
						}
					}
					
					$kofmin=1;
					for($i=2;$i<=3;$i++){
						if($z[$kofmin]<$z[$i]){
							$kofmin=$i;
						}
					}
					
					if($z[$kofmin]<0){
						for($i=0;$i<=1;$i++){
							$kendala[$i][5+$jumkendala]=$kendala[$i][5+$jumkendala-1]/$kendala[$i][$kofmin];
						}
					}
					if($z[1]<0 && $z[2]<0 && $z[3]<0){
						$selesai=1;
					}else{
						$selesai=0;
						$iterasi++;
					}
				}
			?>
			</tbody>
		</table>
		</center><h3 align="center">
		Z = <?php echo $z[$jumkendala+4];?></h3><br/>
	<?php	}
	?>
	
</div>
	<script src="js/vendor/jquery.js"></script>
	<script src="js/foundation.min.js"></script>
	<script>
	$(document).foundation();
	</script>
</body>
</html>